package org.wcs.constant.enums.database;

import lombok.Getter;

/**
 * 电子标签任务状态枚举类
 */
@Getter
public enum EtagTaskStatusEnum {

    NOT_ACTIVATED(0, "未激活"), // 待处理
    ACTIVATED(1, "已激活"), // 待点亮
    LIGHTING(2, "正在点亮"),
    CONFIRM(3, "已确认"),
    ERROR(4, "异常");

    private final Integer code;
    private final String message;

    EtagTaskStatusEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }


}
